# Interface Plan

All Known Implementing Classes:
  `DefaultPlan`

@UML(identifier="MI_Plan", specification=ISO_19115_2) public interface Plan
Designations for the planning information related to meeting the data acquisition requirements.

Since:
  2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Citation`
  `getCitation()`
  Identification of authority requesting target collection.
  `Collection<? extends Operation>`
  `getOperations()`
  Identification of the activity or activities that satisfy a plan.
  `Collection<? extends Requirement>`
  `getSatisfiedRequirements()`
  Requirement satisfied by the plan.
  `Progress`
  `getStatus()`
  Current status of the plan (pending, completed, etc.)
  `GeometryType`
  `getType()`
  Manner of sampling geometry that the planner expects for collection of objective data.

- ## Method Details

  - ### getType

    @UML(identifier="type", obligation=OPTIONAL, specification=ISO_19115_2) GeometryType getType()
    Manner of sampling geometry that the planner expects for collection of objective data.
    Returns:
      Manner of sampling geometry.

  - ### getStatus

    @UML(identifier="status", obligation=MANDATORY, specification=ISO_19115_2) Progress getStatus()
    Current status of the plan (pending, completed, etc.)
    Returns:
      Current status of the plan.

  - ### getCitation

    @UML(identifier="citation", obligation=MANDATORY, specification=ISO_19115_2) Citation getCitation()
    Identification of authority requesting target collection.
    Returns:
      Identification of authority requesting target collection.

  - ### getOperations

    @UML(identifier="operation", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Operation> getOperations()
    Identification of the activity or activities that satisfy a plan.
    Returns:
      Identification of the activity or activities.

  - ### getSatisfiedRequirements

    @UML(identifier="satisfiedRequirement", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Requirement> getSatisfiedRequirements()
    Requirement satisfied by the plan.
    Returns:
      Requirement satisfied by the plan.